<div class="container-fluid">
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <h2><a class="navbar-brand" href="#">LoL Stat</a></h2>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <a class="nav-link" routerLink="/champion">Champions</a>
        </li>
        <li class="nav-item dropdown" *ngIf="!hasToken">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown1" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Connexion
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" routerLink="/login">
              <fa-icon [icon]="faSignInAlt"></fa-icon>
              Log in
            </a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" routerLink="/register">
              <fa-icon [icon]="faUserPlus"></fa-icon>
              register
            </a>
          </div>
        </li>
        <li class="nav-item dropdown" *ngIf="hasToken">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown2" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Profil
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" routerLink="/favorite">
              <fa-icon [icon]="faStar"></fa-icon>
              Go to my favorites
            </a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="#" (click)="logout()">
              <fa-icon [icon]="faSignOutAlt"></fa-icon>
              Log out
            </a>
          </div>
        </li>
      </ul>
        <input class="form-control mr-sm-2" id="input-search-summoner" type="search" placeholder="Search" aria-label="Search" [(ngModel)]="summonerName">
        <button class="btn btn-outline-success my-2 my-sm-0" (click)="getSummoner()">Search</button>
    </div>
  </nav>
  <router-outlet></router-outlet>
</div>

<div class="content" style="display: none">
  <span></span>
</div>

